MultiCloud Marketplace


Install Ruby on Rails support for DB2

Open in Dashboard

Published by IBM on Apr 05, 2010Revision: 3


About this script

This script installs the Apache web server, Mongrel application server, Rails framework, and the IBM Ruby driver and Rails adapter for the DB2 and IDS databases.


  • You must run Install IBM Data Server Driver Package (32-bit) script prior to running this script.
  • This script presumes that Ruby is already installed on the server.
  • This script uses the RubyGems package manager to get all of the components from public repositories. As a result, this script may take a while, with 10 minutes or longer not being uncommon.


This scripts installs the latest available versions of the RubyGems, Rails, Mongrel, and the IBM Ruby driver and Rails adapter (ibm_db). If you want to install a particular version of these gems, use --version option on the gem install command in the script. For example, to install Rails version 2.3.4 use this command:

gem install rails --version 2.3.4

This script provides an option of using Apache with Mongrel or the Mongrel server by itself. If you choose Apache+Mongrel option, the script will install and configure Apache http server and a Mongrel Cluster. This will create an environment where static web content will be served by the Apache http server and dynamic content will be served by a cluster of Mongrel servers. To configure and activate your Mongrel Cluster you will need to run the Create Ruby on Rails Sample Rails Application script.

Additional information

To learn about IBM support for Ruby on Rails for DB2 databases visit To learn more about DB2 database and specifically the free version DB2 Express-C visit DB2 Express-C home page.


Revision 3 | Apr 05, 2010

* Now uses *Install Ruby on Rails support for DB2* Rightscript to setup ibm_db and gem environment.


All Users

Sign-up for RightScale

Support Information

Community support via forum:

IBM support and subscription available for purchase: